import request from '../utils/request'

export function getUnPaidFee(patientId) {
  return request({
    url: '/payMzFee/getUnPaidFee',
    method: 'get',
    params: { patientId },
  })
}

export function getUnPaidDetail(patientId, hisOrdNum) {
  return request({
    url: '/payMzFee/getUnPaidDetail',
    method: 'get',
    params: { patientId, hisOrdNum },
  })
}

export function getMzPaidList(patientId) {
  return request({
    url: '/payMzFee/getMzPaidList',
    method: 'get',
    params: { patientId },
  })
}

export function getUnsettledMedinsTrade(mdtrtId) {
  return request({
    url: '/payMzFee/getUnsettledMedinsTrade',
    method: 'get',
    params: { mdtrtId },
  })
}

export function medinsSettle(data) {
  return request({
    url: '/payMzFee/medinsSettle',
    method: 'post',
    data,
  })
}

export function getMzPaidDetail(hisOrdNum) {
  return request({
    url: '/payMzFee/getMzPaidDetail',
    method: 'get',
    params: { hisOrdNum },
  })
}

export function getFundPayAmt(hisOrdNum) {
  return request({
    url: '/payMzFee/getFundPayAmt',
    method: 'get',
    params: { hisOrdNum },
  })
}
